View Issue Details

IDProjectCategoryView StatusLast Update
0001411Far ManagerHelp/Languagepublic2012-07-13 12:25
ReporterJohnDoeAssigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0001411: Система помощи фара неустойчива к ошибкам в *.hlf
DescriptionПрисутствие в ссылках незакрытых символов '@' приводит к появлению причудливого мусора, и светомузыке.
Мусор может состоять из произвольных символов, из кусков помощи, из чего-то похожего на фрагменты истории.
Steps To ReproduceОткрыть FarRus.hlf, удалить один или несколько закрывающих @.
Далее можно либо перезапустить фар, либо открыть файл с помощью HlfViewer.
При каждом новом открытии "дефекты" отличаются.

Если долго баловаться, то фар может упасть (FStd_trap.log прилагается).

В идеале хотелось бы чтобы незакрытые ссылки просто не считались бы ссылками.
Additional InformationВ анси-фаре незакрытые @ проглатываются без проблем, и не приводят в видимым проблемам.

Даже попадаются анси-плагины, в *.hlf файлах которых ни один символ @ не закрыт.
Например, MxUUE (http://maxxi.newmail.ru/plugins.htm)
TagsNo tags attached.
Build0

Activities

JohnDoe

2010-06-17 19:20

updater  

2010-06-17_180626_cr.png (11,799 bytes)
2010-06-17_180626_cr.png (11,799 bytes)

JohnDoe

2010-06-17 19:21

updater  

FStd_trap.log (23,169 bytes)

vskirdin

2012-07-12 13:52

administrator   bugnote:0009413

В тройке повторяется?

JohnDoe

2012-07-12 15:01

updater   bugnote:0009414

В тройке не удалось повторить

vskirdin

2012-07-12 16:15

administrator   bugnote:0009416

Закапываем?

JohnDoe

2012-07-12 18:03

updater   bugnote:0009417

Конечно. В случае чего переоткрыть можно.

Issue History

Date Modified Username Field Change
2010-06-17 19:20 JohnDoe New Issue
2010-06-17 19:20 JohnDoe File Added: 2010-06-17_180626_cr.png
2010-06-17 19:21 JohnDoe File Added: FStd_trap.log
2012-07-12 13:52 vskirdin Note Added: 0009413
2012-07-12 15:01 JohnDoe Note Added: 0009414
2012-07-12 16:15 vskirdin Note Added: 0009416
2012-07-12 18:03 JohnDoe Note Added: 0009417
2012-07-13 12:25 vskirdin Build => 0
2012-07-13 12:25 vskirdin Status new => closed
2012-07-13 12:25 vskirdin Resolution open => fixed
2012-07-13 12:25 vskirdin Fixed in Version => 3.0